#
# Conditional build
%bcond_without	static_libs	# don't build static library
%bcond_without  tests		# disable cpptest
#
Summary:	XSPF playlist reading and writing support
Summary(pl.UTF-8):	Obsługa odczytu i zapisu playlist XSPF
Name:		libxspf
Version:	1.2.0
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libspiff/%{name}-%{version}.tar.gz
# Source0-md5:	d3276bf6c7f86442b72629a3e7b8bd5b
Patch0:		%{name}-link.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-gcc47.patch
URL:		http://libspiff.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_tests:BuildRequires:	cpptest-devel >= 1.1.0}
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	uriparser-devel >= 0.7.5
Requires:	expat >= 1:1.95.8
Requires:	uriparser >= 0.7.5
Obsoletes:	libspiff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxspf brings XSPF playlist reading and writing support to your C++
application.

%description -l pl.UTF-8
libxspf daje możliwość odczytu i zapisu playlist XSPF z poziomu C++.

%package devel
Summary:	Header files for libxspf
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxspf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1:1.95.8
Requires:	libstdc++-devel
Requires:	uriparser-devel >= 0.3.0
Obsoletes:	libspiff-devel

%description devel
Header files for libxspf.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxspf.

%package static
Summary:	Static libxspf library
Summary(pl.UTF-8):	Statyczna biblioteka libxspf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libspiff-static

%description static
Static libxspf library.

%description static -l pl.UTF-8
Statyczna biblioteka libxspf.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	 %{!?with_tests:--disable-test}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/xspf_*
%attr(755,root,root) %{_libdir}/libxspf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxspf.so.[0-9]

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxspf.so
%{_libdir}/libxspf.la
%{_includedir}/xspf
%{_pkgconfigdir}/xspf.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxspf.a
%endif
%changelog
* Fri Nov 16 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxspf.git;a=log;h=master

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> 7cfb39e
- fix building with latest automake and gcc 4.7
- rel 3

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 93908d8
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Sun Nov 22 2009 sparky <sparky@pld-linux.org> 4005681
- BR: s/pkg-config/pkgconfig/

* Thu Jun 18 2009 lisu <lisu@pld-linux.org> 254ff1b
- obsolete, forgot to remove it earlier

* Tue May 26 2009 Karol Krenski <charles@pld-linux.org> bf1f375
- added without static_libs bcond

* Tue May 26 2009 Karol Krenski <charles@pld-linux.org> 7246334
- BR: cpptest-devel (with bcond)

* Fri Apr 03 2009 lisu <lisu@pld-linux.org> ccf5c64
- O: libspiff, libspiff-devel, libspiff-static

* Sun Mar 29 2009 Artur Frysiak <artur@frysiak.net> 06f93ef
copy of libspiff-link.patch

* Mon Mar 09 2009 lisu <lisu@pld-linux.org> c4133e9
- mention about version up in previous log

* Mon Mar 09 2009 lisu <lisu@pld-linux.org> 48c08eb
- 1.2.0 version
- name changed libspiff -> libxspf
- BR: pkg-config
- uriparser >= 0.7.5 required

* Fri Nov 21 2008 lisu <lisu@pld-linux.org> d62cf32
- up to 1.0.0

* Thu Jul 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> adcbf03
- up to 0.8.4

* Sat Mar 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f24ed8f
- up to 0.8.3

* Sun Jan 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e0b9c2
- rel 4

* Sun Nov 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 51787a7
- rel 3

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c98d1c2
- rel 2

* Wed Oct 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a8ce175
- up to 0.8.2

* Fri Oct 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> af9de1f
- up to 0.8.1

* Sat Sep 15 2007 Jakub Bogusz <qboosh@pld-linux.org> ef3469b
- updated to 0.7.3
- added link patch
- package soname symlink as ghost

* Sat Sep 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 577716b
- kill -L*/lib and default include path

